c
c-----------------------------------------------------------------------
c
      function erf_private (x)
c
c.....erf - computes the error function.
c
c                             /x
c     erf(x) = (2/sqrt(pi))  /  exp(-t^2) dt  = P(1/2,x^2)
c                           /0
c
      implicit real*8 (a-h,o-z)
      if (x.lt.0d0) then
        erf_private = -gammp(0.5d0,x**2)
      else
        erf_private = gammp(0.5d0,x**2)
      endif
      return
      end
