c
c-----------------------------------------------------------------------
c
      subroutine error (routine, message, errortype)
c
c.....error - primitive error management routine.
c
      include             'stdio.inc'
      include             'error.inc'
c
      character*(*)       routine, message
      integer             errortype
c
      if (errortype.eq.faterr) then
         write (stderr,100) 'fatal error', routine, message
         stop 1
      else if (errortype.eq.warning) then
         write (stderr,100) 'warning', routine, message
      else if (errortype.eq.noerr) then
         write (stderr,100) 'no error', routine, message
      else
         write (stderr,100) 'unknown type of error', routine, message
      endif
c
 100  format (/1x,'*** '/1x,'*** ',a,' at ',a,' :'/1x,'*** ',a/1x,'***')
c
      end
