c
c-----------------------------------------------------------------------
c
      subroutine parabola (x0, y0, x1, y1, x2, y2, xmin, ymin)
c
c.....parabola - compute the minimum of a parabola that passes through
c     three points.
c
      implicit none
c
      real*8            x0, y0, x1, y1, x2, y2, xmin, ymin
c
      real*8            a, b, c, x01, y01, x02, y02
c
      x01 = x0 - x1
      y01 = y0 - y1
      x02 = x0 - x2
      y02 = y0 - y2
c
      c = (y01/x01 - y02/x02) / (x1-x2)
      b = y01/x02 - c * (x0+x1)
      a = y0 - b*x0 - c*x0*x0
c
      if (c.eq.0d0) then
         xmin = x1
         ymin = y1
      else
         xmin = -b/(c+c)
         ymin = a + xmin * (b + c*xmin)
      endif
c
      end
