c
c.....polyhedron.inc - Polyhedron data structure.
c
      integer           mvert, mlevel, mface, mvf
*     parameter         (mvert = 6146)       !Max. # total vertices
      parameter         (mvert = 15000)      !Max. # total vertices
      parameter         (mlevel = 5)         !Max. recursion level
*     parameter         (mface = 8192)       !Max. # of faces
      parameter         (mface = 30000)      !Max. # of faces
      parameter         (mvf = 4)            !Max. # vertices per face
      real*8            radius
      parameter         (radius = 1d0)       !Sphere radius
c
      integer           nvf                  !# of vertices per face
      integer           nvert                !# of vertices
      integer           nface(0:1)           !# of old and new faces
      integer           iface(mvf,mface,0:1) !Points in a face
      integer           isw0, isw1           !old & new switches
c
      real*8            sthcph(mvert), sthsph(mvert), cth(mvert)
      real*8            xvert(mvert), yvert(mvert), zvert(mvert)
c
      common /plh1/     xvert, yvert, zvert, sthcph, sthsph, cth,
     &                  nvf, nvert, nface, iface, isw0, isw1
c
      integer           color_none, color_binary, color_grey,
     &                  color_full, color_hue
      parameter         (color_none=1, color_binary=2, color_grey=3,
     &                  color_full=4, color_hue=5)
      integer           color_mode
      real*8            fun_value(mvert), fun_min, fun_max
      logical           basinclip, deletevert(mvert), loginterpol,
     &                  useminmax
      common /plh2/     fun_value, fun_min, fun_max, color_mode,
     &                  basinclip, deletevert, loginterpol, useminmax
c
