c
c.....strtools.inc - global symbolic constants for fortran-tools
c
      integer           vsstr, sstr, mstr, lstr, vlstr
      parameter         (vsstr   =   20,     ! very-short strings
     &                   sstr    =   80,     ! short strings
     &                   mstr    =  132,     ! medium strings
     &                   lstr    =  256,     ! large strings
     &                   vlstr   = 1024 )    ! very-large strings
c
      integer           maxopen, mopen
      parameter         (maxopen = 30, mopen = maxopen)
      character*(1)     null, newline, eof
      character*(2)     eol
*mdc*if vax vax_oviedo
*      parameter         (null    = char(0))
*      parameter         (newline = char(10))
*      parameter         (eof     = char(26))
*      parameter         (eol     = newline//null)
*mdc*elsif g77
*mdc*else
*      parameter         (null    = char(0))
*      parameter         (newline = char(10))
*      parameter         (eof     = char(04))
*      parameter         (eol     = newline//null)
*mdc*endif
c
      character*(1)     comment, escape, wildcard, skipcard
      parameter         (comment  = '!')
*mdc*if linux
      parameter         (escape   = '\\')
*mdc*else
*      parameter         (escape   = '\')
*mdc*endif
      parameter         (wildcard = '*')
      parameter         (skipcard = '~'  )
      integer           endlist
      parameter         (endlist = -2147483647)    ! -(2**31)
c
      integer           margs, maxargs
      parameter         (margs=10, maxargs=margs)
      character*(1)     qualifier
      parameter         (qualifier='-')
c
      integer           ioread, iowrite, ioappend, iofortran, ioerror
      parameter         (ioread    = -2,
     &                   iowrite   = -3,
     &                   ioappend  = -4,
     &                   iofortran = -5,
     &                   ioerror   = -1  )
c
      character*(1)     bell, backspace, tab, linefeed, formfeed,
     &                  cr, esc, blank, apostrophe, dquote, quote
*mdc*if g77
      common /str1/     eol, null, newline, eof,
     &                  bell, backspace, tab, linefeed, formfeed,
     &                  cr, esc, blank, apostrophe, dquote, quote
*mdc*else
*      parameter         (bell       = char(7),
*     &                   backspace  = char(8),
*     &                   tab        = char(9),
*     &                   linefeed   = char(10),
*     &                   formfeed   = char(12),
*     &                   cr         = char(13),
*     &                   esc        = char(27),
*     &                   blank      = char(32),
*     &                   apostrophe = char(39),
*     &                   dquote     = char(34),
*     &                   quote      = apostrophe )
*mdc*endif
