c
c-----------------------------------------------------------------------
c
      real*8 function dis2 (xi, yi, zi, a, cc)
c
c.....dis2 - computes square modulus of (xi,yi,zi) vector.
c            a() contains the lattice parameters.
c            cc() contains the cosine directors.
c
      include           'implicit.inc'
      real*8            xi, yi, zi, a(3), cc(3)
c
      real*8            xx, yy, zz
c
      xx = xi * a(1)
      yy = yi * a(2)
      zz = zi * a(3)
      dis2 = xx * xx + yy * yy + zz * zz + 2d0 *
     &     (xx * yy * cc(3) + yy * zz * cc(1) + zz * xx * cc(2))
      return
      end
