c
c-----------------------------------------------------------------------
c
      integer function hlookup (name, rvalue, ivalue, type)
c
c.....hlookup - search for variable NAME in the hashed table. If found,
c     return position in stack as well as the value. If not found return
c     zero.
c
      include           'strtools.inc'
      include           'hash.inc'
c
      character*(*)     name
      real*8            rvalue
      integer           ivalue, type
c
      logical           equal
      integer           hash, p
c
c.....Hash first entry in stack:
c
      p = htable (hash (name, hsize))
c
c.....Is NAME equal to the p-th var in stack? If not try with the
c     (p = nextvar(p)) until NAME is found or p = 0.
c
      do while ((p.ne.0) .and.
     &          (.not.equal(name,bnames(varpos(p):))))
         p = nextvar(p)
      enddo
      if (p .gt. 0) then
         rvalue = varrvalue(p)
         ivalue = varivalue(p)
         type = vartype(p)
      endif
      hlookup = p
      return
      end
