c
c-----------------------------------------------------------------------
c
      logical function setdble (dblevar, line, lp)
c
c.....setdble - get a real number from line and sets dblevar to it.
c     If a valid real number is not found, setdble returns .false.
c
      include           'strtools.inc'
      real*8            dblevar
      character*(*)     line
      integer           lp
c
      integer           tp, i
      character*(1)     ch
      character*(sstr)  dumbchar
      real*8            atof
      logical           matched, isdigit
c
      isdigit(ch) = ch.ge.'0' .and. ch.le.'9'
c
      do while (line(lp:lp) .eq. blank)
         lp = lp + 1
      end do
      i = lp
      if (line(i:i) .eq. '+' .or. line(i:i) .eq. '-') i = i + 1 
      if (isdigit(line(i:i))) then 
         do while (isdigit(line(i:i)))
            i = i + 1
         enddo
         if (line(i:i) .eq. '.') then 
            i = i + 1
            do while (isdigit(line(i:i)))
               i = i + 1
            enddo
         endif
         matched = .true.
      else if (line(i:i) .eq. '.') then 
         i = i + 1
         if (isdigit(line(i:i))) then 
            do while (isdigit(line(i:i)))
               i = i + 1
            enddo
            matched = .true.
         else
            matched = .false.
         endif
      else
            matched = .false.
      endif
c
c.....get optional exponent
c
      tp = i - 1
      if (matched) then 
         if (line(i:i) .eq. 'e' .or. line(i:i) .eq. 'E' .or.
     &       line(i:i) .eq. 'd' .or. line(i:i) .eq. 'D') then 
            i = i + 1
            if (line(i:i) .eq. '+' .or. line(i:i) .eq. '-') i = i + 1 
            if (isdigit (line(i:i))) then 
               do while (isdigit(line(i:i)))
                  i = i + 1
               enddo
*mdc*if estricto
*               if (index(blank//','//null//newline, 
*     &                   line(i:i)) .gt. 0)          then
*                  dblevar = atof (line(lp:i-1)//null)
*                  lp = i
*               else
*                  matched = .false.
**                 dblevar = 0d0
*               endif
*mdc*else
               dumbchar=line(lp:i-1)//null
               dblevar = atof (dumbchar)
               lp = i
*mdc*endif
            else 
               matched = .false.
            endif
         else
*mdc*if estricto
*            if (index(blank//','//null//newline, 
*     &                line(i:i)) .gt. 0)          then
*               dumbchar=line(lp:tp)//null
*               dblevar = atof (dumbchar)
*               lp = i
*            else
*               matched = .false.
**              dblevar = 0d0
*            endif
*mdc*else
            dumbchar=line(lp:tp)//null
            dblevar = atof (dumbchar)
            lp = i
*mdc*endif
         endif
*     else
*        dblevar = 0d0
      endif 
c
      setdble = matched
      return
      end
